All operations
COMPANY
Updates an existing rep.
PUT
/api/v2/companies/rep/{id}Authentication
Choose one supported method for this request.
Parameters
idpathinteger · int32requiredThe ID of the rep to update.
Request body
The updated rep.
assignedIdinteger · int32companyIdinteger · int32userIdinteger · int32roleIdinteger · int32overrideRankIdinteger · int32primarybooleanzoneIdinteger · int32
Responses
Rep updated successfully.
Standard response envelope
isSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
assignedIdinteger · int32companyIdinteger · int32userIdinteger · int32roleIdinteger · int32overrideRankIdinteger · int32primarybooleanzoneIdinteger · int32